/* Mathematiques de l'informatique graphique    */
/* Position en 2D                               */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Octobre 2012                                 */

#ifndef ____POSITION2D____
#define ____POSITION2D____

#include "CoordonneesHomogenes2D.h"

class Position2D : public CoordonneesHomogenes2D {

  public :

    /* Constructeurs                            */
    Position2D(void);
    Position2D(double x,double y);
    Position2D(Position2D *c);

    /* Destructeur                              */
    ~Position2D(void);

    /* Methode de calcul de la distance         */
    /* entre deux positions                     */
    double distance(Position2D *p);

    /* Methode de calcul du carre               */
    /* de la distance entre deux positions      */
    double carreDistance(Position2D *p);
};

#endif
